Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.srs
Class PolynomialParameterCreator

    java.lang.Object
      org.deegree.tools.srs.PolynomialParameterCreator

    public class PolynomialParameterCreator

extends Object

`PolynomialParameterCreator` allows for the calculation of a

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`PolynomialParameterCreator(File sourceFile, File targetFile, String seperator, CoordinateSystem source, CoordinateSystem target, String transformationClass, int order)` Simple constructor which reads coordinate pairs from a different files (using the separator) and stores them in a list.

Method Summary
`static void` | `main(String[] args)` a starter method to test the quality of projections.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolynomialParameterCreator

    public PolynomialParameterCreator(File sourceFile,
                                      File targetFile,
                                      String seperator,
                                      CoordinateSystem source,
                                      CoordinateSystem target,
                                      String transformationClass,
                                      int order)
                               throws IOException

  Simple constructor which reads coordinate pairs from a different files (using the separator) and stores them in a list.

  Parameters:
    `sourceFile` - to read the source coordinates from
    `targetFile` - to read the target coordinates from.
    `seperator` - which separates the coordinates (e.g. ; or , )
    `source` - the source crs in which the first read points are given
    `target` - the target crs in which the read points are defined.
    `transformationClass` - to use
    `order` - of the polynomial.
  Throws:
    `IOException` - if the file could not be read.

Method Detail

### main

    public static void main(String[] args)

  a starter method to test the quality of projections.

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org